
<h1 align="center">Plugin Gerencianet Flutter</h1>


![SDK Gerencianet for Dart](https://media-exp1.licdn.com/dms/image/C4D1BAQH9taNIaZyh_Q/company-background_10000/0/1603126623964?e=2159024400&v=beta&t=coQC_AK70vTYL3NdvbeIaeYts8nKumNHjvvIGCmq5XA)

---

[![Pub](https://img.shields.io/pub/v/gerencianet.svg?style=flat-square)](https://pub.dartlang.org/packages/gerencianet)

Plugin em Flutter para integração com a API da Gerencianet. 

Ir para:

* [Instalação](#instalação)
* [Começando](#começando)
  * [Como obter as credenciais Client_Id e Client_Secret](#como-obter-as-credenciais-client-id-e-client-secret)
  * [Como gerar um certificado Pix](#como-gerar-um-certificado-pix)
  * [Como converter um certificado Pix](#como-converter-um-certificado-pix)
  * [Como cadastrar as chaves Pix](#como-cadastrar-as-chaves-pix)
* [Exemplos](#exemplos)
* [Documentação Adicional](#documentação-adicional)
* [Licença](#licença)




## **Instalação**
Para usar este plugin, adicione gerencianet como [uma dependência em seu arquivo pubspec.yaml.](https://flutter.dev/docs/development/packages-and-plugins/using-packages)





## Começando

Em seguida, inicialize o plugin de preferência no initState do seu widget.


```
...
import 'package:gerencianet/gerencianet.dart';

class _PaymentPageState extends State<PaymentPage> {
  var config = {
    'client_id': 'YOUR_CLIENT_ID',
    'client_secret': 'YOU_CLIENT_SECRET',
    'sandbox': false,
    'pix_cert': '',
    'pix_private_key': ''
  };
  Gerencianet gerencianet;

  @override
  void initState() {
    this.gerencianet  = Gerencianet(config);
  }

}
...
```







## **Como obter as credenciais Client-Id e Client-Secret**

### **Crie uma nova aplicação para usar a API Gerencianet:**
1. Acesse o painel da Gerencianet no menu **API**.
2. No canto esquerdo, clique em **Minhas Aplicações** depois em **Nova Aplicação**.
3. Insira um nome para a aplicação, ative a **API de emissões (Boletos e Carnês)** e **API Pix**, e escolha os escopos que deseja liberar em **Produção** e/ou **Homologação** conforme sua necessidade (lembrando que estes podem ser alterados posteriormente).
4. Clique em Criar **Nova aplicação**.

![Crie uma nova aplicação para usar a API Gerencianet](https://t-images.imgix.net/https%3A%2F%2Fapp-us-east-1.t-cdn.net%2F5fa37ea6b47fe9313cb4c9ca%2Fposts%2F603543ff4253cf5983339cf1%2F603543ff4253cf5983339cf1_88071.png?width=1240&w=1240&auto=format%2Ccompress&ixlib=js-2.3.1&s=2f24c7ea5674dbbea13773b3a0b1e95c)


### **Alterar uma aplicação existente para usar a API Pix:**
1. Acesse o painel da Gerencianet no menu **API**.
2. No canto esquerdo, clique em **Minhas Aplicações**, escolha a sua aplicação e clique no botão **Editar** (Botão laranja).
3. Ative **API Pix** e escolha os escopos que deseja liberar em **Produção** e/ou **Homologação** conforme sua necessidade (lembrando que estes podem ser alterados posteriormente)
4. Clique em **Atualizar aplicação**.

![Alterar uma aplicação existente para usar a API Pix](https://app-us-east-1.t-cdn.net/5fa37ea6b47fe9313cb4c9ca/posts/603544082060b2e9b88bc717/603544082060b2e9b88bc717_22430.png)


## **Como gerar um certificado Pix**

Todas as requisições do Pix devem conter um certificado de segurança que será fornecido pela Gerencianet dentro da sua conta, no formato PFX(.p12). Essa exigência está descrita na íntegra no [manual de segurança do PIX](https://www.bcb.gov.br/estabilidadefinanceira/comunicacaodados).

**Para gerar seu certificado:** 
1. Acesse o painel da Gerencianet no menu **API**.
2. No canto esquerdo, clique em **Meus Certificados** e escolha o ambiente em que deseja o certificado: **Produção** ou **Homologação**.
3. Clique em **Novo Certificado**.

![Para gerar seu certificado](https://app-us-east-1.t-cdn.net/5fa37ea6b47fe9313cb4c9ca/posts/603543f7d1778b2d725dea1e/603543f7d1778b2d725dea1e_85669.png)


## **Como converter um certificado Pix**

⚠️Para uso no Flutter, o certificado deve ser convertido em formato `.pem` e é necessário criar uma chave privada para o certificado.

Você pode [baixar o conversor de certificados disponibilizado pela Gerencianet](https://pix.gerencianet.com.br/ferramentas/conversorGerencianet.exe). 

Ou utilize do exemplo abaixo, executando o comando OpenSSL para conversão.

### **Comando OpenSSL**
```
# Gerar certificado e chave separadas
openssl pkcs12 -in path.p12 -out newfile.crt.pem -clcerts -nokeys #certificado
openssl pkcs12 -in path.p12 -out newfile.key.pem -nocerts -nodes #chave privada
```

## **Como cadastrar as chaves Pix**
O cadastro das chaves Pix pode ser feito através do aplicativo da Gerencianet ou por um endpoint da API. A seguir você encontra os passos de como registrá-las.

### **Cadastrar chave Pix pelo aplicativo mobile:**

Caso ainda não tenha nosso aplicativo instalado, clique em [Android](https://play.google.com/store/apps/details?id=br.com.gerencianet.app) ou [iOS](https://apps.apple.com/br/app/gerencianet/id1443363326), de acordo com o sistema operacional do seu smartphone, para fazer o download.

Para registrar suas chaves Pix por meio do aplicativo:
1. Acesse sua conta através do **app Gerencianet**.
2. No menu lateral, toque em **Pix** para iniciar seu registro.
3. Leia as informações que aparecem na tela e clique em **Registrar Chave**.
    Se este não for mais seu primeiro registro, toque em **Minhas Chaves** e depois no ícone (➕).
4. **Selecione os dados** que você vai cadastrar como Chave do Pix e toque em **avançar** – você deve escolher pelo menos 1 das 4 opções de chaves disponíveis (celular, e-mail, CPF e/ou chave aleatória).
5. Após cadastrar as chaves do Pix desejadas, clique em **concluir**.
6. **Pronto! Suas chaves já estão cadastradas com a gente.**





## **Exemplos**

Você pode consultar todos os exemplos disponiveis para Flutter, [clicando aqui](https://pub.dev/packages/gerencianet/example).

Também disponibilizamos um projeto em Flutter contendo exemplos de todas as funcionalidades das nossas APIs. Você pode clonar o repositório do projeto, [clique aqui para acessar](https://github.com/gerencianet/gn-api-sdk-flutter-examples).



## **Documentação Adicional**

A documentação completa com todos os endpoints e detalhes da API está disponível emhttps://dev.gerencianet.com.br/.


## **Licença** 
[MIT](LICENSE)